For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManUnits

Get floor plan by ID

GET
/v1/floor-plans/:floor_plan_id
GET
/v1/floor-plans/:floor_plan_id
$curl https://api.propexo.com/v1/floor-plans/floor_plan_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
17 "x_property_id": "bc7e840c-502b-4426-91e1-af9a4eb5cb2c",
18 "x_location_id": null,
19 "name": "2 bed 2 bath",
20 "marketing_name": null,
21 "code": null,
22 "description": "2 bed 2 bath",
23 "bedrooms": 2,
24 "bathrooms": "2.5",
25 "bathrooms_full": 2,
26 "bathrooms_half": 1,
27 "max_occupants": null,
28 "rentable_square_feet": 1300,
29 "gross_square_feet": null,
30 "rent_minimum_in_cents": 280000,
31 "rent_maximum_in_cents": 320000,
32 "image_urls": [
33 "https://resman.blob.core.windows.net/bizbaz/foobar.jpg"
34 ],
35 "unit_count": 100,
36 "deposit_amount_in_cents": 10000,
37 "deposit_amount_raw": "100.00",
38 "deposit_amount_min_in_cents": null,
39 "deposit_amount_max_in_cents": null,
40 "deposit_amount_min_raw": null,
41 "deposit_amount_max_raw": null,
42 "custom_data": {},
43 "integration_id": "clwh5u07w000508me66sfh3um",
44 "integration_vendor": "RESMAN",
45 "property_id": "clwi5xiix000008l6ctdgafyh"
46 }
47}
Get floor plan by ID
Was this page helpful?
Previous

Get all units

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

floor_plan_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error